package com.cringe_studios.christmastreescanning;

import java.awt.geom.Point2D;
import java.awt.image.BufferedImage;

import com.cringe_studios.christmastreescanning.scanning.SideScanner;
import com.cringe_studios.christmastreescanning.scanning.SingleColoredSideScanner;

public class FourSidedScanner extends SingleColorScanner {
	private SideScanner frontSideScanner;
	private SideScanner rightSideScanner;
	private SideScanner behindSideScanner;
	private SideScanner leftSideScanner;
	
	public FourSidedScanner(BufferedImage frontSideImages[], BufferedImage rightSideImages[], BufferedImage behindSideImages[], BufferedImage leftSideImages[], byte gammaDelta) {
		
		//TODO
		
		frontSideScanner =  new SingleColoredSideScanner(frontSideImages, gammaDelta, , , );
		rightSideScanner =  new SingleColoredSideScanner(rightSideImages, gammaDelta, , , );
		behindSideScanner = new SingleColoredSideScanner(behindSideScanner, gammaDelta, , , );
		leftSideScanner =   new SingleColoredSideScanner(leftSideScanner, gammaDelta, , , );
	}
	
	@Override	
	public Point3D[] scan() {
		// TODO Auto-generated method stub
		frontSideScanner.scan();
		frontSideScanner.normalizePoints();
		Point2D[] frontPoints = frontSideScanner.getPoints();
		
		rightSideScanner.scan();
		rightSideScanner.normalizePoints();
		Point2D[] rightSidePoints = rightSideScanner.getPoints();
		
		behindSideScanner.scan();
		behindSideScanner.normalizePoints();
		Point2D[] frontPoints = behindSideScanner.getPoints();
		
		leftSideScanner.scan();
		leftSideScanner.normalizePoints();
		Point2D[] rightSidePoints = leftSideScanner.getPoints();
		return null; //TODO
	}
}
